package cn.com.qmth.examcloud.core.basic.api.provider;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.api.DemoCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetXxxReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetXxxResp;
import cn.com.qmth.examcloud.core.basic.service.DemoService;

@RestController
@RequestMapping("${app.api.root}/demo")
public class DemoCloudServiceProvider extends ControllerSupport implements DemoCloudService {

	private static final long serialVersionUID = 1688796399486678855L;

	DemoService demoService;

	@GetMapping("getXxx")
	@Override
	public GetXxxResp getXxx(GetXxxReq req) {
		GetXxxResp resp = new GetXxxResp();
		resp.setS("test");
		return resp;
	}

}
